Skip to main content
GET
Sensors with their latest reading, open alerts, and whether they feed a meter.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
measurement
string
asset_id
string
asset_number
string
asset_name
string
device_id
string
device_code
string
device_status
string
meter_id
string
meter_code
string
meter_sync_seconds
string
sample_interval_seconds
string
last_reading_at
string
last_meter_sync_at
string
is_active
string
feeds_maintenance
string
thresholds
string
open_alerts
string
latest_value
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
code
string<character varying>
Maximum string length: 60
device_code
string<character varying>
Maximum string length: 60
device_id
string<uuid>
device_status
string<character varying>
Maximum string length: 20
feeds_maintenance
boolean<boolean>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
last_meter_sync_at
string<timestamp with time zone>
last_reading_at
string<timestamp with time zone>
latest_value
number<numeric>
measurement
string<character varying>
Maximum string length: 30
meter_code
string<character varying>
Maximum string length: 60
meter_id
string<uuid>

Note: This is a Foreign Key to asset_meters.meter_id.

meter_sync_seconds
integer<integer>
name
string<character varying>
Maximum string length: 150
open_alerts
integer<bigint>
sample_interval_seconds
integer<integer>
thresholds
integer<bigint>